+++
title = 'Falling in love with writing again'
date = "2024-10-29"
updated = 2024-10-29
[taxonomies]
tags = ['Neovim', 'writing', 'tmux']
+++

# Writing  ✍️
I used to love writing. Or better put, I used to love *starting* writing. When I was younger, on holidays, I would write first chapters of all sorts of books, movies, short stories. Usually some magical or fantastical story, later on with more horror and teenage angst. When I would write, I would get sucked into the world I was building out, feel how the main character felt, imagine how a scene or conversation would play out.

# Slog 😫
Later on in my life, I applied this love of writing (and the lack of any other clear marketable interests) into journalism. First learning it, then applying it to the world of food retail and business journalism. Even more later on by writing about open source software, open hardware, why it's necessary to have trustworthy technology. Somewhere along the road, I lost my love of writing. Or better put, I applied it so much in my working life, that I didn't feel the need anymore to write in my time off. Worse yet, I started to hate writing in my personal time. Even this blog is hard for me to keep updated with fresh material.

# Rekindled 🔥
Lately though, I have started writing more. And what I found I need, is a good space to write in. I don't mean a nice couch or office, I mean the place where I put down my words, the tools that give me a focused and frictionless writing experience. And I think I found that with Neovim. Yes, another post about Neovim, what else is new 😏. Please, don't leave! I promise I have something worthwhile to say.

# Neovim all the things 🤯
For the past year, I mainly used Neovim for programming. I have some Python-projects 🐍, some C-code, lately a little bit of ObsidianJS 📓. Before that though, when I learned my first Vim motions, I was writing reports, blog posts and project proposals with the [NLnet foundation](https://nlnet.nl). For current work projects I found myself again in Microsoft Word, staring at a blank page, and feeling wholly unmotivated. Sometimes I switched over to Neovim for some light programming, reconfiguring my Neovim-plugins, just to get away from that horrible piece of software that we somehow all rely on for text editing. Then it dawned on me ☀️: why shouldn't I just write my work in Neovim as well? I was already writing all my notes 🗒️ in Obsidian, which really helps me structure my thoughts and the current status of work I'm not bookkeeping elsewhere (Jira, email, etc.).

# Workflow 🌊
I haven't found a perfect workflow yet, but so far what I have been doing, is the following:
- Writing a project text, a memo, or whatever needs to be read by other people in my Obsidian work vault in a Markdown file
- Using `pandoc` to turn this Markdown text into a doc/docx file with a reference doc file for branding and styling
This workflow solves a lot of issues at the same time: I can keep notes and actual texts close to each other (usually in the same folder or back-linked to each other). When I want to, I can output a Word-document that others can use, review and edit in our shared work space. And I can work on the source text both in Neovim and Obsidian!

# Total focus 👀
I'm not entirely up-to-date on the philosophy of Vim/Neovim, but I do know that one of the usability mantras is: you'll never have to use your mouse again. Keeping your fingertips on the home row and minimizing moving your hands away from this position puts me in a place of total focus: the text **is** where my head is at, it's the only thing I'm interacting with, it's the center of my attention. I have been improving this state further and further, thinking about my most useful keymaps, what I want to do in Neovim and outside of it. This brought me to this separation of concerns:
- `tmux` for window and attention management (different sessions for work, study, blogging, different windows for writing, executing code, browsing the filespace)
- `neovim` for writing and programming and local file management (with `oil`)

# Good-looking 👓
Now that I have this workflow and work space thing figured out, I have noticed how much my writing experience has improved: I think more deeply about what I want to write, I can get my thoughts onto 'paper' quicker, I can easily restructure headings and subheadings, fold away what I don't need. I love how my terminal looks, I love how I can zoom around. Plugins like `render-markdown`, `obsidian.nvim`, built-in functionality like `dictionary` and `spell` and custom keymaps to display images linked in Markdown (using `feh`), it's all just a few keystrokes away. And I love how it all looks, which is also not entirely unimportant.

# Home 💕
So, with all that, do I love writing again? Well, not to disagree with the title of this post, but...I'm not sure yet 😕. I do think that I rekindled the **feeling** of writing: just pouring your thoughts onto the page, focused entirely on what I want to convey, only thinking about the text. What I would love ♥️ to do, is to write creatively again: even if it's just a single scene, one-page miny story. Whether I actually do this or not, I don't know. What I do know, is that I found my writing space again. And I don't think I will leave it soon 🏠.






