+++
title = 'Reorganizing my projects'
date = "2024-09-29"
updated = 2024-09-29
[taxonomies]
tags = ['self-hosting', 'zola', 'portfolio']
+++

# How to present what I do

This website is meant to be a quick and easy way to show the world what I'm doing: this blog  ✍️ shows my thoughts, struggles and interests, while the projects 🗺️ demonstrate what I can create. The **intent** is there, but actually **doing the work** is difficult for me: I love to stick with my programming, studying, reading, instead of actually showcasing here what it is I am actually doing 🏗️.

# Reorganize, reorganize...and reorganize

So far, I'm still not entirely sure of the structure of the website: whether I should keep the main page [as clean as it is](https://joostagterhoek.nl), or immediately show off a current project I have. Whether the projects page should directly link to their [Gitea-repositories](https://code.joostagterhoek.nl/joost), or have the project description page they have now. For now, I think I'll stick with project pages sorted by update date, which is a nice feature of the [Zola theme I'm using](https://getzola.org/themes/apollo/).

As you can probably see, I am also really happy with emojis 🐱 to structure and organize these otherwise quite dense blocks of text. They can drive home the core of a sentence, help build a nice looking list...they're just great! And thanks to my current [Neovim-setup](https://code.joostagterhoek.nl/joost/kickstart.nvim), when writing a note like this, I just have to hit a hotkey ('leader' key s e) to search through emojis with [emoji.nvim](https://github.com/Allaman/emoji.nvim).

# How to turn notes into a project

The one thing I am still unsure of, is how to (re)organize all the notes (and copied text) I have on malware development and analysis 🖥️, and turn it into a project. Currently I am on Module 13 of the amazing [Maldev Academy](https://maldevacademy.com/) and taking notes like crazy. But so far, those notes are only for me. 

And because I copy a lot of stuff from basically everything I learn, I don't want to just dump possibly copyrighted content on my website (and in general, don't steal other people's hard work) 🤬. Maybe something summarized could work, where I write down my notes on concepts or practices that I learned or that are hard for me 👷. 
