+++
title = "GUI host lookup"
description = "A basic GUI-application to look up security information about hosts (IP address, domain name, URL). Built also as a web app and CLI tool."
weight = 1
updated = 2024-08-23
[extra]
remote_image = "https://code.joostagterhoek.nl/joost/gui-host-lookup/media/branch/main/screenshot.png"
+++

This is a 🐍 Python project to build a GUI application that aims to help a security operations center (SOC) analyst. You are able to enter a host (URL, IP address, email address) and look up security-relevant information. This includes:

 - 📧 DMARC and SPF information on domain names (also from URLs and email addresses).
 -  ✍️  Generic domain registration information.

This is done with (among others) the following Python-modules:

| module       | purpose                                                |  usage                                 |
|--------------|--------------------------------------------------------|----------------------------------------|
| `tkinter`       |  creating and managing Tk and Ttk widgets      | display graphical user interface            | 
| `checkdmarc` | Python module for validating SPF and DMARC DNS records | look up SPF and DMARC records          |
